# ODE Bootsrap One

ODE Bootstrap ONE is a theme based on ODE bootstrap framework.
This theme is customisable through variables, so it is possible to create a new theme based on this one.

## Install

Install it by cloning the repository:
```
git clone git@code.web-education.net:one/ode-bootstrap-one.git
./build.sh clean init
```

### Start dev mode

Launch it using:
```
./build.sh watch
```

A light web server starts and the URL is displayed on console (http://localhost:8080/docs most of the time).
Livereload is enable, so each changes on source trigger a refresh in the browser.

### Build release

Build a release using:
```
./build.sh install
```

Minified CSS and assets are generated into *dist* folder.

The build will publish the artifact into your local repository

### Deploy in a springboard

Add this configuration to your entcore config:
```
{
    "name":"com.opendigitaleducation~ode-bootstrap-one~VERSION",
    "type": "theme",
    "waitDeploy": true
},
```

## Documentation

A documentation listing all available components is available [here](docs/index.html). You can preview all of them and copy source code.

Below all variables and their meaning:

TODO

